import { PreprocessorGroup } from 'svelte/types/compiler/preprocess';

interface ImportAssetsOptions {
    sources?: AssetSource[] | ((defaultSources: AssetSource[]) => AssetSource[]);
    importPrefix?: string;
    http?: boolean;
    urlFilter?: (url: string) => boolean;
}
interface AssetSource {
    tag: string;
    srcAttributes?: string[];
    srcsetAttributes?: string[];
    filter?: (metadata: FilterMetadata) => boolean;
}
interface FilterMetadata {
    tag: string;
    attribute: string;
    value: string;
    attributes: Record<string, string>;
}

declare function importAssets(options?: ImportAssetsOptions): PreprocessorGroup;

export { AssetSource, FilterMetadata, ImportAssetsOptions, importAssets as default };
